"1" />
      </rule>
      <rule pattern="0\d+">
        <token type="LiteralNumberOct" />
        <pop depth="1" />
      </rule>
      <rule pattern="\d+?\.\d+?">
        <token type="LiteralNumberFloat" />
        <pop depth="1" />
      </rule>
      <rule pattern="\d+">
        <token type="LiteralNumberInteger" />
        <pop depth="1" />
      </rule>
      <rule pattern="(&#34;)(.+)(&#34;)">
        <bygroups>
          <token type="Punctuation" />
          <token type="LiteralStringDouble" />
          <token type="Punctuation" />
        </bygroups>
        <pop depth="1" />
      </rule>
      <rule pattern="(&#39;)(.{1}|\\.{1})(&#39;)">
        <bygroups>
          <token type="Punctuation" />
          <token type="LiteralStringChar" />
          <token type="Punctuation" />
        </bygroups>
        <pop depth="1" />
      </rule>
    </state>
    <state name="opcode">
      <rule pattern="\n">
        <token type="Text" />
        <pop depth="1" />
      </rule>
      <rule pattern="(@|;).*\n">
        <token type="CommentSingle" />
        <pop depth="1" />
      </rule>
      <rule pattern="(\s+|,)">
        <token type="Text" />
      </rule>
      <rule pattern="[rapcfxwbhsdqv]\d{1,2}">
        <token type="NameClass" />
      </rule>
      <rule pattern="(=)(0x\w+)">
        <bygroups>
          <token type="Text" />
          <token type="NameLabel" />
        </bygroups>
      </rule>
      <rule pattern="(=)(\w+)">
        <bygroups>
          <token type="Text" />
          <token type="NameLabel" />
        </bygroups>
      </rule>
      <rule pattern="#">
        <token type="Text" />
        <push state="literal" />
      </rule>
    </state>
  </rules>
</lexer>
